Bug 3339 - [UPDATE REQUEST] [UPSTREAM UPDATE] resource-agents
: [UPDATE REQUEST] [UPSTREAM UPDATE] resource-agents
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-04 13:13 MSK by Andrew Lukoshko
Modified: 2014-01-10 11:02 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-12-04 13:13:45 MSK
* Prior to this update, the netfs agent could hang during a stop operation, even
with the self_fence option enabled. With this update, self fence operation is
executed sooner in the process, which ensures that NFS client detects server
leaving if umount can not succeed, and self fencing occurs.

* Previously, the IPaddr2 agent did not send out unsolicited neighbor
advertisements to announce a link-layer address change. Consequently, floating
IPv6 addresses, which require this functionality, could not work correctly. To
fix this bug, the send_ua internal binary required for IPaddr2 agent to drive
IPv6 addresses has been added. As a result, the floating IPv6 addresses now work
correctly, and IPv4 addresses are left unaffected by this change.

http://rhn.redhat.com/errata/RHBA-2013-1746.html

https://abf.rosalinux.ru/build_lists/1455928
https://abf.rosalinux.ru/build_lists/1455929
Comment 1 Vladimir Potapov 2013-12-10 14:20:35 MSK
resource-agents
************************** RHEL Advisory **************************
* Prior to this update, the netfs agent could hang during a stop operation, even
with the self_fence option enabled. With this update, self fence operation is
executed sooner in the process, which ensures that NFS client detects server
leaving if umount can not succeed, and self fencing occurs.

* Previously, the IPaddr2 agent did not send out unsolicited neighbor
advertisements to announce a link-layer address change. Consequently, floating
IPv6 addresses, which require this functionality, could not work correctly. To
fix this bug, the send_ua internal binary required for IPaddr2 agent to drive
IPv6 addresses has been added. As a result, the floating IPv6 addresses now work
correctly, and IPv4 addresses are left unaffected by this change.
********************************************************************
QA Verified